#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;

use CGI::Carp qw(fatalsToBrowser); 
use CGI;
use DBI;
use htbuild;
use pseek;
use fmspm;


&get_setup;
fmspm::check_spamb("rgs_resend.cgi", "header", "$data_dir");
$q = CGI->new;

################# 

print "Content-type: text/html\n\n";

$rgs_user = $q->param('rgs_user'); $rgs_user =~ s/'/\\'/gi; 
$rgs_pass = $q->param('rgs_pass'); $rgs_pass =~ s/'/\\'/gi; 

if ($mysql_hostname eq ""){$dsn = "DBI:mysql:$db_name";}else{$dsn = "DBI:mysql:$db_name:$mysql_hostname:$mysql_port";}
$dbh = DBI->connect($dsn, $db_username, $db_password);
if ( !defined $dbh ) {die "Cannot connect to MySQL server: $DBI::errstr\n"; } 

$sql = "SELECT * FROM lnkusers WHERE rgsuser = '$rgs_user' AND rgspass = '$rgs_pass'";
$sth = $dbh->prepare($sql);
$sth->execute;
$serror = ""; $serror = $sth->errstr; if ($serror ne "") {die "SQL Syntax Error: $serror \n From: $sql";}
$rows = $sth->rows();

while ( @row = $sth->fetchrow() )
	{ 
	$userid = $row[0];
	$rgsname = $row[3];
	$rgsemail = $row[4];
	
	$rgsuser = $row[1];
	$rgspass = $row[2];
	}

$sth->finish;
$dbh->disconnect; 


#print "ROWS: $rows <BR>";

if ($rows > 0) ### RESEND ACTIVATION EMAIL
	{
	$emailmsg = pseek::get_file_contents("$data_dir/validation.eml");
	@elines = split (/\n/, $emailmsg);

	$from_name = $elines[0];
	$from_email = $elines[1];
	$email_subject = $elines[2];
	
	$lnc = 0;
	foreach $line (@elines)
		{
		if ($lnc > 2)
			{
			$email_message = $email_message . $line . "\n";
			}
		$lnc++;
		}	


	$userid = ($userid * 600);

	$activation_link = "$script_url/activate.cgi?a=$userid";
	$email_message =~ s/%%activation_link%%/$activation_link/gi;
	$email_message =~ s/%%name%%/$rgsname/gi;
	$email_message =~ s/%%user_name%%/$rgsuser/gi;
	$email_message =~ s/%%password%%/$rgspass/gi;

	pseek::send_email ($from_name, $from_email, $rgsemail, $email_subject, $email_message);  
	
	#print "($from_name, $from_email, $rgsemail, $email_subject, $email_message)";

	$reg_template = pseek::get_file_contents("$data_dir/rgs_sent.html");
	$reg_template = pseek::ts_insert_template_includes($reg_template);
	$reg_template = pseek::fill_vars($reg_template);
	print $reg_template;		
	}
else
	{
	$rgtext = pseek::get_file_contents("$data_dir/regusers.txt"); 
	@regtext = split (/\n/, $rgtext);
	
	$reg_template = pseek::get_file_contents("$data_dir/rgs_resend.html");
	$reg_template = pseek::ts_insert_template_includes($reg_template);
	$reg_template = pseek::fill_vars($reg_template);
	$reg_template =~ s/!!rgs_resendact!!/$script_url\/rgs_resend\.cgi/gi;
	$reg_template =~ s/!!error_text!!/$regtext[8]/gi;
	print $reg_template;	
	
	}


################


sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

